Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-27102

tinymce spellcheck 406 Not Acceptable (mod_security)

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Won't Fix
    • Affects Version/s: 2.0.2
    • Fix Version/s: None
    • Component/s: HTML Editor (TinyMCE)
    • Labels:
      None
    • Environment:
      apache 2.2
      mysql 5.0.92
      php 5.2.17
      moodle 2.0.2+ (Build: 20110406)
    • Affected Branches:
      MOODLE_20_STABLE

      Description

      Trying to use spellscheck at html editor tinymce the following message pop-up:

      //<!--
      HTML 2.0//EN">
      <html><head> <title>406 Not Acceptable</title> </head><body> <h1>Not Acceptable</h1> <p>An appropriate representation of the requested resource /moodle/lib/editor/tinymce/tiny_mce/3.3.9.2/plugins/spellchecker/rpc.php could not be found on this server.</p> <p>Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.</p> <hr> <address>Apache/2.2.17 (Unix) mod_ssl/2.2.17 OpenSSL/0.9.8e-fips-rhel5 mod_bwlimited/1.4 Server at dafcel.nucleoead.net Port 80</address> </body></html>
      -->//

      All editor and Moodle config default

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

              Hide
              gleidsonlm Gleidson Medeiros added a comment -

              mod_security false positive

              SecRule REQUEST_METHOD "!^(get|head|options|post|put|propfind)$" chain,deny,log,status:406

              can Moodle use one of this secure methods above on tinymce spellcheck?

              Show
              gleidsonlm Gleidson Medeiros added a comment - mod_security false positive SecRule REQUEST_METHOD "!^(get|head|options|post|put|propfind)$" chain,deny,log,status:406 can Moodle use one of this secure methods above on tinymce spellcheck?
              Hide
              hallmead Hall Mead added a comment -

              I seem to be getting this issue with Moodle 2.2.1 - Is there any update to this at all.

              Show
              hallmead Hall Mead added a comment - I seem to be getting this issue with Moodle 2.2.1 - Is there any update to this at all.
              Hide
              skodak Petr Skoda added a comment -

              Please tweak your security rules if necessary or alternatively since Moodle 2.4 you can disable the spellchecker plugin and rely on the browser-built-in spellchecking. Thanks for the report, it might be useful for others with similar server configuration problems.

              Show
              skodak Petr Skoda added a comment - Please tweak your security rules if necessary or alternatively since Moodle 2.4 you can disable the spellchecker plugin and rely on the browser-built-in spellchecking. Thanks for the report, it might be useful for others with similar server configuration problems.

                People

                • Votes:
                  1 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: